VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::HostTypes::FilterSpec Class Reference

The `Host.FilterSpec` class contains fields used to filter the results when listing hosts (see Host.List ). More...

List of all members.

## Public Member Functions
| FilterSpec ()
| Creates a default new instance.
global::System.Collections.Generic.HashSet < string > | GetHosts ()
| Identifiers of hosts that can match the filter.
void | SetHosts (global::System.Collections.Generic.HashSet< string > hosts)
| Identifiers of hosts that can match the filter.
global::System.Collections.Generic.HashSet < string > | GetNames ()
| Names that hosts must have to match the filter (see Host.Summary.name ).
void | SetNames (global::System.Collections.Generic.HashSet< string > names)
| Names that hosts must have to match the filter (see Host.Summary.name ).
global::System.Collections.Generic.HashSet < string > | GetFolders ()
| Folders that must contain the hosts for the hosts to match the filter.
void | SetFolders (global::System.Collections.Generic.HashSet< string > folders)
| Folders that must contain the hosts for the hosts to match the filter.
global::System.Collections.Generic.HashSet < string > | GetDatacenters ()
| Datacenters that must contain the hosts for the hosts to match the filter.
void | SetDatacenters (global::System.Collections.Generic.HashSet< string > datacenters)
| Datacenters that must contain the hosts for the hosts to match the filter.
bool | GetStandalone ()
| If true, only hosts that are not part of a cluster can match the filter, and if false, only hosts that are are part of a cluster can match the filter.
void | SetStandalone (bool?standalone)
| If true, only hosts that are not part of a cluster can match the filter, and if false, only hosts that are are part of a cluster can match the filter.
global::System.Collections.Generic.HashSet < string > | GetClusters ()
| Clusters that must contain the hosts for the hosts to match the filter.
void | SetClusters (global::System.Collections.Generic.HashSet< string > clusters)
| Clusters that must contain the hosts for the hosts to match the filter.
global::System.Collections.Generic.HashSet < vmware.vcenter.HostTypes.ConnectionState > | GetConnectionStates ()
| Connection states that a host must be in to match the filter (see Host.Summary.connectionState .
void | SetConnectionStates (global::System.Collections.Generic.HashSet< vmware.vcenter.HostTypes.ConnectionState > connectionStates)
| Connection states that a host must be in to match the filter (see Host.Summary.connectionState .
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Host.FilterSpec` class contains fields used to filter the results when listing hosts (see Host.List ).

If multiple fields are specified, only hosts matching all of the fields match the filter.

## Constructor & Destructor Documentation

vmware::vcenter::HostTypes::FilterSpec::FilterSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::HostTypes::FilterSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::HostTypes::FilterSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::HostTypes::FilterSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::HostTypes::FilterSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::HostTypes::FilterSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::HostTypes::FilterSpec::Equals | ( | object | obj | ) | `[inline]`

global::System.Collections.Generic.HashSet<string> vmware::vcenter::HostTypes::FilterSpec::GetClusters | ( |  | ) | `[inline]`

Clusters that must contain the hosts for the hosts to match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `ClusterComputeResource` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `ClusterComputeResource` .

global::System.Collections.Generic.HashSet<vmware.vcenter.HostTypes.ConnectionState> vmware::vcenter::HostTypes::FilterSpec::GetConnectionStates | ( |  | ) | `[inline]`

Connection states that a host must be in to match the filter (see Host.Summary.connectionState .

global::System.Collections.Generic.HashSet<string> vmware::vcenter::HostTypes::FilterSpec::GetDatacenters | ( |  | ) | `[inline]`

Datacenters that must contain the hosts for the hosts to match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `Datacenter` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `Datacenter` .

global::System.Collections.Generic.HashSet<string> vmware::vcenter::HostTypes::FilterSpec::GetFolders | ( |  | ) | `[inline]`

Folders that must contain the hosts for the hosts to match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `Folder` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `Folder` .

override int vmware::vcenter::HostTypes::FilterSpec::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.HashSet<string> vmware::vcenter::HostTypes::FilterSpec::GetHosts | ( |  | ) | `[inline]`

Identifiers of hosts that can match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `HostSystem` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `HostSystem` .

global::System.Collections.Generic.HashSet<string> vmware::vcenter::HostTypes::FilterSpec::GetNames | ( |  | ) | `[inline]`

Names that hosts must have to match the filter (see Host.Summary.name ).

bool vmware::vcenter::HostTypes::FilterSpec::GetStandalone | ( |  | ) | `[inline]`

If true, only hosts that are not part of a cluster can match the filter, and if false, only hosts that are are part of a cluster can match the filter.

void vmware::vcenter::HostTypes::FilterSpec::SetClusters | ( | global::System.Collections.Generic.HashSet< string > | clusters | ) | `[inline]`

Clusters that must contain the hosts for the hosts to match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `ClusterComputeResource` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `ClusterComputeResource` .

void vmware::vcenter::HostTypes::FilterSpec::SetConnectionStates | ( | global::System.Collections.Generic.HashSet< vmware.vcenter.HostTypes.ConnectionState > | connectionStates | ) | `[inline]`

Connection states that a host must be in to match the filter (see Host.Summary.connectionState .

void vmware::vcenter::HostTypes::FilterSpec::SetDatacenters | ( | global::System.Collections.Generic.HashSet< string > | datacenters | ) | `[inline]`

Datacenters that must contain the hosts for the hosts to match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `Datacenter` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `Datacenter` .

void vmware::vcenter::HostTypes::FilterSpec::SetFolders | ( | global::System.Collections.Generic.HashSet< string > | folders | ) | `[inline]`

Folders that must contain the hosts for the hosts to match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `Folder` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `Folder` .

void vmware::vcenter::HostTypes::FilterSpec::SetHosts | ( | global::System.Collections.Generic.HashSet< string > | hosts | ) | `[inline]`

Identifiers of hosts that can match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `HostSystem` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `HostSystem` .

void vmware::vcenter::HostTypes::FilterSpec::SetNames | ( | global::System.Collections.Generic.HashSet< string > | names | ) | `[inline]`

Names that hosts must have to match the filter (see Host.Summary.name ).

void vmware::vcenter::HostTypes::FilterSpec::SetStandalone | ( | bool? | standalone | ) | `[inline]`

If true, only hosts that are not part of a cluster can match the filter, and if false, only hosts that are are part of a cluster can match the filter.

override string vmware::vcenter::HostTypes::FilterSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- HostTypes.cs